# evaluation.hh File Reference

Internal functions used by the rw_composition algorithm. More...

Include dependency graph for evaluation.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename SA , typename TA , typename M >
void | partial_elimination (const Element< SA, TA > &a, M &state_exp_pair)
| This function computes a set of expression, after having eliminated all states which are not initial or final.
template<typename S1 , typename T1 , typename S2 , typename T2 , typename M >
void | partial_evaluation (const Element< S1, T1 > &E, const Element< S2, T2 > &S, const typename Element< S2, T2 >::hstate_t &p, M &res)
| Partial evaluation of a K RatExp E over a realtime transducer S, starting from a given state p.

## Detailed Description

Internal functions used by the rw_composition algorithm.

See also:
  vcsn::evaluation()

Definition in file evaluation.hh.